diff --git a/buglist b/buglist
index 57aa523..31f3c1b 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7269: 
+bug 7270: 
 todo 336:
 wish 1012:
 meh 5:
@@ -12,6 +12,37 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7269: hash does not work for Record
+
+(1) -> T:=Record(f1:Integer)
+
+   (1)  Record(f1: Integer)
+                                                                 Type: Domain
+(2) -> hash(t)
+
+   (2)  116
+                                                          Type: SingleInteger
+(3) -> t:=[0]@T
+
+   (3)  [f1= 0]
+                                                    Type: Record(f1: Integer)
+(4) -> hash(t)
+   There are 8 exposed and 1 unexposed library operations named hash 
+      having 1 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                              )display op hash
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named hash 
+      with argument type(s) 
+                             Record(f1: Integer)
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
+
+=========================================================================
 bug 7268: Typechecker gets confused by flow control
 
 Spad typechecker is supposed to track type tests, and 
diff --git a/changelog b/changelog
index e22f323..a67e4f4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20141209 tpd src/axiom-website/patches.html 20141209.03.tpd.patch
+20141209 tpd buglist: bug 7269: hash does not work for Record
 20141209 tpd src/axiom-website/patches.html 20141209.02.tpd.patch
 20141209 tpd buglist: bug 7268: Typechecker gets confused by flow control
 20141209 tpd src/axiom-website/patches.html 20141209.01.tpd.patch
diff --git a/patch b/patch
index 5644e03..69574cf 100644
--- a/patch
+++ b/patch
@@ -1,34 +1,29 @@
-buglist: bug 7268: Typechecker gets confused by flow control
+buglist: bug 7269: hash does not work for Record
 
-Spad typechecker is supposed to track type tests, and 
-allow operation which are safe due to dynamic tests. 
-However, tis works for 'if' but fails for loops, as in:
+(1) -> T:=Record(f1:Integer)
 
-a:R
-b:R
-c:=a exquo b
-while c case R repeat
-  a:=c
-  c:=a exquo b
+   (1)  Record(f1: Integer)
+                                                                 Type: Domain
+(2) -> hash(t)
 
-Spad compiler report type error on assignment to a.
+   (2)  116
+                                                          Type: SingleInteger
+(3) -> t:=[0]@T
 
-But both of these work:
-
-a:R
-b:R
-c:=a exquo b
-if c case R then
-  while c case R repeat
-    a:=c
-    c:=a exquo b
-
-and 
-
-a:R
-b:R
-c:=a exquo b
-while c case R repeat
-  if c case R then
-    a:=c
-    c:=a exquo b
+   (3)  [f1= 0]
+                                                    Type: Record(f1: Integer)
+(4) -> hash(t)
+   There are 8 exposed and 1 unexposed library operations named hash 
+      having 1 argument(s) but none was determined to be applicable. 
+      Use HyperDoc Browse, or issue
+                              )display op hash
+      to learn more about the available operations. Perhaps 
+      package-calling the operation or using coercions on the arguments
+      will allow you to apply the operation.
+ 
+   Cannot find a definition or applicable library operation named hash 
+      with argument type(s) 
+                             Record(f1: Integer)
+      
+      Perhaps you should use "@" to indicate the required return type, 
+      or "$" to specify which version of the function you need.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c1b3a7b..1473916 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4790,6 +4790,8 @@ src/input/Makefile remove unused .as files<br/>
 src/axiom-website/CATS/index.html add Graphics section to CATS<br/>
 <a href="patches/20141209.02.tpd.patch">20141209.02.tpd.patch</a>
 buglist: bug 7268: Typechecker gets confused by flow control<br/>
+<a href="patches/20141209.03.tpd.patch">20141209.03.tpd.patch</a>
+buglist: bug 7269: hash does not work for Record<br/>
  </body>
 </html>
 
